Opened 14 months ago

Closed 6 months ago

#2599 closed defect (fixed)

GzipFilter deprecated

Reported by: zzz Owned by: zzz
Priority: minor Milestone: 0.9.46
Component: apps/jetty Version: 0.9.41
Keywords: Cc:
Parent Tickets: Sensitive: no

Description

WARN [JettyStarter?] rg.eclipse.jetty.server.Server: GzipFilter? is deprecated. Use GzipHandler?

In Jetty 9.4.x. It wasn't just deprecated, all the code was ripped out, so it does nothing. This removes a big optimization because it's more efficient for the server to compress than for us to do it in i2ptunnel.

Configuration is in base-context.xml and cgi-context.xml. Will need migration code to fix current installs. Note that GzipHandler? was moved to a different package between 9.2 and 9.4, so this would have to be done in a 9.4 patch on the debian side; we can't do a compatible fix for both. See patch for HostCheckHandler?.

Subtickets

Change History (3)

comment:1 Changed 8 months ago by zzz

Milestone: 0.9.430.9.46

comment:2 Changed 8 months ago by zzz

Owner: set to zzz
Status: newaccepted

I have a plan that doesn't require migrating context.xml files.

comment:3 Changed 6 months ago by zzz

Resolution: fixed
Status: acceptedclosed

In 90dcc8a6964eac73ea6071e44c10e4866427fbdc to be 0.9.45-8
See also #2098
See also branches i2p.i2p.zzz.jetty93 and i2p.i2p.zzz.jetty9428

Note: See TracTickets for help on using tickets.